library ieee;
use ieee.std_logic_1164.all;

entity DIV7BIT is
port(
		CLK_IN : in std_logic;
		N : in integer range 0 to 127;
		CLK_OUT : out std_logic
		);
end DIV7BIT;

architecture HDL of DIV7BIT is
begin
	process(clk_in)
	variable count : integer range 0 to 127 := 0;
	variable clk_t : std_logic := '0';
	begin
		if clk_in'event and clk_in = '1' then
			if count < N then
				count := count + 1;
				clk_t := clk_t;
			else
				count := 0;
				clk_t := not(clk_t);
			end if;	
			clk_out <= clk_t;
		end if;
	end process;
end HDL;
